Bug 238684 - databases/mongodb*: License changed to Server Side Public License
Summary: databases/mongodb*: License changed to Server Side Public License
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 247394
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-18 14:25 UTC by Mateusz Piotrowski
Modified: 2020-06-29 18:21 UTC (History)
7 users (show)

See Also:


Attachments
license file + Makefile change (29.87 KB, patch)
2019-07-14 14:50 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff
[databases/mongodb40] license update (775 bytes, patch)
2020-03-08 23:12 UTC, Andrew Shevchuk
dev.ashevchuk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2019-06-18 14:25:29 UTC
MongoDB is no longer licensed as AGPL. It's now licensed under Server Side Public License.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-06-18 14:46:03 UTC
Cc:ing maintainers:

databases/mongodb34-tools/Makefile:MAINTAINER=  numisemis@yahoo.com
databases/mongodb34/Makefile:MAINTAINER=        ronald-lists@klop.ws
databases/mongodb36-tools/Makefile:MAINTAINER=  numisemis@yahoo.com
databases/mongodb36/Makefile:MAINTAINER=        dev@dudu.ro
databases/mongodb40-tools/Makefile:MAINTAINER=  dev.ashevchuk@gmail.com
databases/mongodb40/Makefile:MAINTAINER=        dev.ashevchuk@gmail.com
Comment 2 Ronald Klop 2019-06-18 19:26:55 UTC
What is the question? Do you need an ok? Or a patch? Or an ok on a patch which is still coming?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-19 04:48:35 UTC
(In reply to Ronald Klop from comment #2)

1) Confirmation that the port in question is affected (needs a LICENSE change)
2) Patch with maintainer approval +
Comment 4 Ronald Klop 2019-07-14 14:50:00 UTC
Created attachment 205765 [details]
license file + Makefile change

I think the license needs an update.
More details in https://www.mongodb.com/community/licensing.
Mongo still distributes the AGPL license text in the distfile, so I included a copy-paste of the SSPL text from the website in the files/ directory.
Complete license: https://www.mongodb.com/licensing/server-side-public-license

I used the same permissions as the AGPL in the LICENSE_SSPL_PERM line. I'm quite sure the SSPL gives the same permissions as the AGPL with regard to distributing distfiles and packages.

NB: it's the first time I do something with the LICENSE* framework of ports, so please tell (or modify) if I missed something.
Comment 5 Ronald Klop 2019-07-14 15:15:10 UTC
I see mongodb36 has a ${WRKSRC}/LICENSE-Community.txt with the SSPL text and dropped the AGPL file.
Comment 6 Tobias C. Berner freebsd_committer 2020-03-08 16:58:17 UTC
Is this still relevant?
Comment 7 Mateusz Piotrowski freebsd_committer 2020-03-08 19:35:43 UTC
If the LICENSE variables are still set incorrectly then yes.
Comment 8 Andrew Shevchuk 2020-03-08 23:12:11 UTC
Created attachment 212267 [details]
[databases/mongodb40] license update
Comment 9 Ronald Klop 2020-05-15 12:59:30 UTC
Comment on attachment 205765 [details]
license file + Makefile change

databases/mongodb34 is gone
mark patch as obsolete
Comment 10 Mikael Urankar freebsd_committer 2020-06-16 16:44:22 UTC
Is it ok to close after ports r539367 ?
Comment 11 Mateusz Piotrowski freebsd_committer 2020-06-17 21:27:10 UTC
(In reply to Mikael Urankar from comment #10)

databases/mongodb36 is still using the old license. I am not sure if that's correct.
Comment 12 Ronald Klop 2020-06-18 21:04:59 UTC
A fix for mongodb36 is in bug #247394 .
Comment 13 commit-hook freebsd_committer 2020-06-29 18:08:02 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 29 18:07:34 UTC 2020
New revision: 540821
URL: https://svnweb.freebsd.org/changeset/ports/540821

Log:
  databases/mongodb40: update 4.0.18 -> 4.0.19

  - License changed to Server Side Public License

  PR:		247412, 238684
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev.ashevchuk@gmail.com (maintainer)
  Relnotes:	https://docs.mongodb.com/manual/release-notes/4.0/#jun-15-2020

Changes:
  head/databases/mongodb40/Makefile
  head/databases/mongodb40/distinfo
Comment 14 Kurt Jaeger freebsd_committer 2020-06-29 18:21:11 UTC
Fixed by commit for mongodb36.